/*******************************************************************************
* File Name: CE_RF.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CE_RF_H) /* Pins CE_RF_H */
#define CY_PINS_CE_RF_H

#include "cytypes.h"
#include "cyfitter.h"
#include "CE_RF_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CE_RF_Write(uint8 value) ;
void    CE_RF_SetDriveMode(uint8 mode) ;
uint8   CE_RF_ReadDataReg(void) ;
uint8   CE_RF_Read(void) ;
uint8   CE_RF_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CE_RF_DRIVE_MODE_BITS        (3)
#define CE_RF_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - CE_RF_DRIVE_MODE_BITS))

#define CE_RF_DM_ALG_HIZ         (0x00u)
#define CE_RF_DM_DIG_HIZ         (0x01u)
#define CE_RF_DM_RES_UP          (0x02u)
#define CE_RF_DM_RES_DWN         (0x03u)
#define CE_RF_DM_OD_LO           (0x04u)
#define CE_RF_DM_OD_HI           (0x05u)
#define CE_RF_DM_STRONG          (0x06u)
#define CE_RF_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define CE_RF_MASK               CE_RF__MASK
#define CE_RF_SHIFT              CE_RF__SHIFT
#define CE_RF_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CE_RF_PS                     (* (reg32 *) CE_RF__PS)
/* Port Configuration */
#define CE_RF_PC                     (* (reg32 *) CE_RF__PC)
/* Data Register */
#define CE_RF_DR                     (* (reg32 *) CE_RF__DR)
/* Input Buffer Disable Override */
#define CE_RF_INP_DIS                (* (reg32 *) CE_RF__PC2)


#if defined(CE_RF__INTSTAT)  /* Interrupt Registers */

    #define CE_RF_INTSTAT                (* (reg32 *) CE_RF__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define CE_RF_DRIVE_MODE_SHIFT       (0x00u)
#define CE_RF_DRIVE_MODE_MASK        (0x07u << CE_RF_DRIVE_MODE_SHIFT)


#endif /* End Pins CE_RF_H */


/* [] END OF FILE */
