/*******************************************************************************
* File Name: CSN_RF.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CSN_RF_H) /* Pins CSN_RF_H */
#define CY_PINS_CSN_RF_H

#include "cytypes.h"
#include "cyfitter.h"
#include "CSN_RF_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CSN_RF_Write(uint8 value) ;
void    CSN_RF_SetDriveMode(uint8 mode) ;
uint8   CSN_RF_ReadDataReg(void) ;
uint8   CSN_RF_Read(void) ;
uint8   CSN_RF_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CSN_RF_DRIVE_MODE_BITS        (3)
#define CSN_RF_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - CSN_RF_DRIVE_MODE_BITS))

#define CSN_RF_DM_ALG_HIZ         (0x00u)
#define CSN_RF_DM_DIG_HIZ         (0x01u)
#define CSN_RF_DM_RES_UP          (0x02u)
#define CSN_RF_DM_RES_DWN         (0x03u)
#define CSN_RF_DM_OD_LO           (0x04u)
#define CSN_RF_DM_OD_HI           (0x05u)
#define CSN_RF_DM_STRONG          (0x06u)
#define CSN_RF_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define CSN_RF_MASK               CSN_RF__MASK
#define CSN_RF_SHIFT              CSN_RF__SHIFT
#define CSN_RF_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CSN_RF_PS                     (* (reg32 *) CSN_RF__PS)
/* Port Configuration */
#define CSN_RF_PC                     (* (reg32 *) CSN_RF__PC)
/* Data Register */
#define CSN_RF_DR                     (* (reg32 *) CSN_RF__DR)
/* Input Buffer Disable Override */
#define CSN_RF_INP_DIS                (* (reg32 *) CSN_RF__PC2)


#if defined(CSN_RF__INTSTAT)  /* Interrupt Registers */

    #define CSN_RF_INTSTAT                (* (reg32 *) CSN_RF__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define CSN_RF_DRIVE_MODE_SHIFT       (0x00u)
#define CSN_RF_DRIVE_MODE_MASK        (0x07u << CSN_RF_DRIVE_MODE_SHIFT)


#endif /* End Pins CSN_RF_H */


/* [] END OF FILE */
