/*******************************************************************************
* File Name: CSN.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CSN_ALIASES_H) /* Pins CSN_ALIASES_H */
#define CY_PINS_CSN_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define CSN_0			(CSN__0__PC)
#define CSN_0_PS		(CSN__0__PS)
#define CSN_0_PC		(CSN__0__PC)
#define CSN_0_DR		(CSN__0__DR)
#define CSN_0_SHIFT	(CSN__0__SHIFT)
#define CSN_0_INTR	((uint16)((uint16)0x0003u << (CSN__0__SHIFT*2u)))

#define CSN_INTR_ALL	 ((uint16)(CSN_0_INTR))


#endif /* End Pins CSN_ALIASES_H */


/* [] END OF FILE */
