/*******************************************************************************
* File Name: CS_RF.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_CS_RF_H) /* Pins CS_RF_H */
#define CY_PINS_CS_RF_H

#include "cytypes.h"
#include "cyfitter.h"
#include "CS_RF_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CS_RF_Write(uint8 value) ;
void    CS_RF_SetDriveMode(uint8 mode) ;
uint8   CS_RF_ReadDataReg(void) ;
uint8   CS_RF_Read(void) ;
uint8   CS_RF_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CS_RF_DRIVE_MODE_BITS        (3)
#define CS_RF_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - CS_RF_DRIVE_MODE_BITS))
#define CS_RF_DRIVE_MODE_SHIFT       (0x00u)
#define CS_RF_DRIVE_MODE_MASK        (0x07u << CS_RF_DRIVE_MODE_SHIFT)

#define CS_RF_DM_ALG_HIZ         (0x00u << CS_RF_DRIVE_MODE_SHIFT)
#define CS_RF_DM_DIG_HIZ         (0x01u << CS_RF_DRIVE_MODE_SHIFT)
#define CS_RF_DM_RES_UP          (0x02u << CS_RF_DRIVE_MODE_SHIFT)
#define CS_RF_DM_RES_DWN         (0x03u << CS_RF_DRIVE_MODE_SHIFT)
#define CS_RF_DM_OD_LO           (0x04u << CS_RF_DRIVE_MODE_SHIFT)
#define CS_RF_DM_OD_HI           (0x05u << CS_RF_DRIVE_MODE_SHIFT)
#define CS_RF_DM_STRONG          (0x06u << CS_RF_DRIVE_MODE_SHIFT)
#define CS_RF_DM_RES_UPDWN       (0x07u << CS_RF_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define CS_RF_MASK               CS_RF__MASK
#define CS_RF_SHIFT              CS_RF__SHIFT
#define CS_RF_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CS_RF_PS                     (* (reg32 *) CS_RF__PS)
/* Port Configuration */
#define CS_RF_PC                     (* (reg32 *) CS_RF__PC)
/* Data Register */
#define CS_RF_DR                     (* (reg32 *) CS_RF__DR)
/* Input Buffer Disable Override */
#define CS_RF_INP_DIS                (* (reg32 *) CS_RF__PC2)


#if defined(CS_RF__INTSTAT)  /* Interrupt Registers */

    #define CS_RF_INTSTAT                (* (reg32 *) CS_RF__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins CS_RF_H */


/* [] END OF FILE */
