/*******************************************************************************
* File Name: ChannelSelect.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ChannelSelect_ALIASES_H) /* Pins ChannelSelect_ALIASES_H */
#define CY_PINS_ChannelSelect_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define ChannelSelect_0			(ChannelSelect__0__PC)
#define ChannelSelect_0_PS		(ChannelSelect__0__PS)
#define ChannelSelect_0_PC		(ChannelSelect__0__PC)
#define ChannelSelect_0_DR		(ChannelSelect__0__DR)
#define ChannelSelect_0_SHIFT	(ChannelSelect__0__SHIFT)
#define ChannelSelect_0_INTR	((uint16)((uint16)0x0003u << (ChannelSelect__0__SHIFT*2u)))

#define ChannelSelect_1			(ChannelSelect__1__PC)
#define ChannelSelect_1_PS		(ChannelSelect__1__PS)
#define ChannelSelect_1_PC		(ChannelSelect__1__PC)
#define ChannelSelect_1_DR		(ChannelSelect__1__DR)
#define ChannelSelect_1_SHIFT	(ChannelSelect__1__SHIFT)
#define ChannelSelect_1_INTR	((uint16)((uint16)0x0003u << (ChannelSelect__1__SHIFT*2u)))

#define ChannelSelect_2			(ChannelSelect__2__PC)
#define ChannelSelect_2_PS		(ChannelSelect__2__PS)
#define ChannelSelect_2_PC		(ChannelSelect__2__PC)
#define ChannelSelect_2_DR		(ChannelSelect__2__DR)
#define ChannelSelect_2_SHIFT	(ChannelSelect__2__SHIFT)
#define ChannelSelect_2_INTR	((uint16)((uint16)0x0003u << (ChannelSelect__2__SHIFT*2u)))

#define ChannelSelect_3			(ChannelSelect__3__PC)
#define ChannelSelect_3_PS		(ChannelSelect__3__PS)
#define ChannelSelect_3_PC		(ChannelSelect__3__PC)
#define ChannelSelect_3_DR		(ChannelSelect__3__DR)
#define ChannelSelect_3_SHIFT	(ChannelSelect__3__SHIFT)
#define ChannelSelect_3_INTR	((uint16)((uint16)0x0003u << (ChannelSelect__3__SHIFT*2u)))

#define ChannelSelect_INTR_ALL	 ((uint16)(ChannelSelect_0_INTR| ChannelSelect_1_INTR| ChannelSelect_2_INTR| ChannelSelect_3_INTR))


#endif /* End Pins ChannelSelect_ALIASES_H */


/* [] END OF FILE */
