/*******************************************************************************
* File Name: INT_RF.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_INT_RF_H) /* Pins INT_RF_H */
#define CY_PINS_INT_RF_H

#include "cytypes.h"
#include "cyfitter.h"
#include "INT_RF_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    INT_RF_Write(uint8 value) ;
void    INT_RF_SetDriveMode(uint8 mode) ;
uint8   INT_RF_ReadDataReg(void) ;
uint8   INT_RF_Read(void) ;
uint8   INT_RF_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define INT_RF_DRIVE_MODE_BITS        (3)
#define INT_RF_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - INT_RF_DRIVE_MODE_BITS))

#define INT_RF_DM_ALG_HIZ         (0x00u)
#define INT_RF_DM_DIG_HIZ         (0x01u)
#define INT_RF_DM_RES_UP          (0x02u)
#define INT_RF_DM_RES_DWN         (0x03u)
#define INT_RF_DM_OD_LO           (0x04u)
#define INT_RF_DM_OD_HI           (0x05u)
#define INT_RF_DM_STRONG          (0x06u)
#define INT_RF_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define INT_RF_MASK               INT_RF__MASK
#define INT_RF_SHIFT              INT_RF__SHIFT
#define INT_RF_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define INT_RF_PS                     (* (reg32 *) INT_RF__PS)
/* Port Configuration */
#define INT_RF_PC                     (* (reg32 *) INT_RF__PC)
/* Data Register */
#define INT_RF_DR                     (* (reg32 *) INT_RF__DR)
/* Input Buffer Disable Override */
#define INT_RF_INP_DIS                (* (reg32 *) INT_RF__PC2)


#if defined(INT_RF__INTSTAT)  /* Interrupt Registers */

    #define INT_RF_INTSTAT                (* (reg32 *) INT_RF__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define INT_RF_DRIVE_MODE_SHIFT       (0x00u)
#define INT_RF_DRIVE_MODE_MASK        (0x07u << INT_RF_DRIVE_MODE_SHIFT)


#endif /* End Pins INT_RF_H */


/* [] END OF FILE */
