/*******************************************************************************
* File Name: LFRX.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LFRX_H) /* Pins LFRX_H */
#define CY_PINS_LFRX_H

#include "cytypes.h"
#include "cyfitter.h"
#include "LFRX_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LFRX_Write(uint8 value) ;
void    LFRX_SetDriveMode(uint8 mode) ;
uint8   LFRX_ReadDataReg(void) ;
uint8   LFRX_Read(void) ;
uint8   LFRX_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LFRX_DRIVE_MODE_BITS        (3)
#define LFRX_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - LFRX_DRIVE_MODE_BITS))

#define LFRX_DM_ALG_HIZ         (0x00u)
#define LFRX_DM_DIG_HIZ         (0x01u)
#define LFRX_DM_RES_UP          (0x02u)
#define LFRX_DM_RES_DWN         (0x03u)
#define LFRX_DM_OD_LO           (0x04u)
#define LFRX_DM_OD_HI           (0x05u)
#define LFRX_DM_STRONG          (0x06u)
#define LFRX_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define LFRX_MASK               LFRX__MASK
#define LFRX_SHIFT              LFRX__SHIFT
#define LFRX_WIDTH              3u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LFRX_PS                     (* (reg32 *) LFRX__PS)
/* Port Configuration */
#define LFRX_PC                     (* (reg32 *) LFRX__PC)
/* Data Register */
#define LFRX_DR                     (* (reg32 *) LFRX__DR)
/* Input Buffer Disable Override */
#define LFRX_INP_DIS                (* (reg32 *) LFRX__PC2)


#if defined(LFRX__INTSTAT)  /* Interrupt Registers */

    #define LFRX_INTSTAT                (* (reg32 *) LFRX__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define LFRX_DRIVE_MODE_SHIFT       (0x00u)
#define LFRX_DRIVE_MODE_MASK        (0x07u << LFRX_DRIVE_MODE_SHIFT)


#endif /* End Pins LFRX_H */


/* [] END OF FILE */
