/*******************************************************************************
* File Name: LF_LED.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_LF_LED_H) /* Pins LF_LED_H */
#define CY_PINS_LF_LED_H

#include "cytypes.h"
#include "cyfitter.h"
#include "LF_LED_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LF_LED_Write(uint8 value) ;
void    LF_LED_SetDriveMode(uint8 mode) ;
uint8   LF_LED_ReadDataReg(void) ;
uint8   LF_LED_Read(void) ;
uint8   LF_LED_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LF_LED_DRIVE_MODE_BITS        (3)
#define LF_LED_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - LF_LED_DRIVE_MODE_BITS))
#define LF_LED_DRIVE_MODE_SHIFT       (0x00u)
#define LF_LED_DRIVE_MODE_MASK        (0x07u << LF_LED_DRIVE_MODE_SHIFT)

#define LF_LED_DM_ALG_HIZ         (0x00u << LF_LED_DRIVE_MODE_SHIFT)
#define LF_LED_DM_DIG_HIZ         (0x01u << LF_LED_DRIVE_MODE_SHIFT)
#define LF_LED_DM_RES_UP          (0x02u << LF_LED_DRIVE_MODE_SHIFT)
#define LF_LED_DM_RES_DWN         (0x03u << LF_LED_DRIVE_MODE_SHIFT)
#define LF_LED_DM_OD_LO           (0x04u << LF_LED_DRIVE_MODE_SHIFT)
#define LF_LED_DM_OD_HI           (0x05u << LF_LED_DRIVE_MODE_SHIFT)
#define LF_LED_DM_STRONG          (0x06u << LF_LED_DRIVE_MODE_SHIFT)
#define LF_LED_DM_RES_UPDWN       (0x07u << LF_LED_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define LF_LED_MASK               LF_LED__MASK
#define LF_LED_SHIFT              LF_LED__SHIFT
#define LF_LED_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LF_LED_PS                     (* (reg32 *) LF_LED__PS)
/* Port Configuration */
#define LF_LED_PC                     (* (reg32 *) LF_LED__PC)
/* Data Register */
#define LF_LED_DR                     (* (reg32 *) LF_LED__DR)
/* Input Buffer Disable Override */
#define LF_LED_INP_DIS                (* (reg32 *) LF_LED__PC2)


#if defined(LF_LED__INTSTAT)  /* Interrupt Registers */

    #define LF_LED_INTSTAT                (* (reg32 *) LF_LED__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins LF_LED_H */


/* [] END OF FILE */
