/*******************************************************************************
* File Name: RST_RF.h  
* Version 2.5
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RST_RF_H) /* Pins RST_RF_H */
#define CY_PINS_RST_RF_H

#include "cytypes.h"
#include "cyfitter.h"
#include "RST_RF_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    RST_RF_Write(uint8 value) ;
void    RST_RF_SetDriveMode(uint8 mode) ;
uint8   RST_RF_ReadDataReg(void) ;
uint8   RST_RF_Read(void) ;
uint8   RST_RF_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define RST_RF_DRIVE_MODE_BITS        (3)
#define RST_RF_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - RST_RF_DRIVE_MODE_BITS))
#define RST_RF_DRIVE_MODE_SHIFT       (0x00u)
#define RST_RF_DRIVE_MODE_MASK        (0x07u << RST_RF_DRIVE_MODE_SHIFT)

#define RST_RF_DM_ALG_HIZ         (0x00u << RST_RF_DRIVE_MODE_SHIFT)
#define RST_RF_DM_DIG_HIZ         (0x01u << RST_RF_DRIVE_MODE_SHIFT)
#define RST_RF_DM_RES_UP          (0x02u << RST_RF_DRIVE_MODE_SHIFT)
#define RST_RF_DM_RES_DWN         (0x03u << RST_RF_DRIVE_MODE_SHIFT)
#define RST_RF_DM_OD_LO           (0x04u << RST_RF_DRIVE_MODE_SHIFT)
#define RST_RF_DM_OD_HI           (0x05u << RST_RF_DRIVE_MODE_SHIFT)
#define RST_RF_DM_STRONG          (0x06u << RST_RF_DRIVE_MODE_SHIFT)
#define RST_RF_DM_RES_UPDWN       (0x07u << RST_RF_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define RST_RF_MASK               RST_RF__MASK
#define RST_RF_SHIFT              RST_RF__SHIFT
#define RST_RF_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RST_RF_PS                     (* (reg32 *) RST_RF__PS)
/* Port Configuration */
#define RST_RF_PC                     (* (reg32 *) RST_RF__PC)
/* Data Register */
#define RST_RF_DR                     (* (reg32 *) RST_RF__DR)
/* Input Buffer Disable Override */
#define RST_RF_INP_DIS                (* (reg32 *) RST_RF__PC2)


#if defined(RST_RF__INTSTAT)  /* Interrupt Registers */

    #define RST_RF_INTSTAT                (* (reg32 *) RST_RF__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins RST_RF_H */


/* [] END OF FILE */
