/*******************************************************************************
* File Name: .h
* Version 1.20
*
* Description:
*  This private file provides constants and parameter values for the
*  SCB Component in _EZI2C mode.
*  Please, do not use this file or its content in your project.
*
* Note:
*
********************************************************************************
* Copyright 2013-2014, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SCB_EZI2C_PVT_SPI_M_H)
#define CY_SCB_EZI2C_PVT_SPI_M_H

#include "SPI_M_EZI2C.h"


/***************************************
*      EZI2C Private Vars
***************************************/

extern volatile uint8 SPI_M_curStatus;
extern uint8 SPI_M_fsmState;

/* Variables intended to be used with Buffer1: Primary slave address */
extern volatile uint8 * SPI_M_dataBuffer1;
extern uint16 SPI_M_bufSizeBuf1;
extern uint16 SPI_M_protectBuf1;
extern uint16 SPI_M_offsetBuf1;
extern uint16 SPI_M_indexBuf1;

#if(SPI_M_SECONDARY_ADDRESS_ENABLE_CONST)
    extern uint8 SPI_M_addrBuf1;
    extern uint8 SPI_M_addrBuf2;

    /* Variables intended to be used with Buffer1: Primary slave address */
    extern volatile uint8 * SPI_M_dataBuffer2;
    extern uint16 SPI_M_bufSizeBuf2;
    extern uint16 SPI_M_protectBuf2;
    extern uint16 SPI_M_offsetBuf2;
    extern uint16 SPI_M_indexBuf2;
#endif /* (SPI_M_SECONDARY_ADDRESS_ENABLE_CONST) */


/***************************************
*     Private Function Prototypes
***************************************/

#if(SPI_M_SCB_MODE_EZI2C_CONST_CFG)
    void SPI_M_EzI2CInit(void);
#endif /* (SPI_M_SCB_MODE_EZI2C_CONST_CFG) */

void SPI_M_EzI2CStop(void);
#if(SPI_M_EZI2C_WAKE_ENABLE_CONST)
    void SPI_M_EzI2CSaveConfig(void);
    void SPI_M_EzI2CRestoreConfig(void);
#endif /* (SPI_M_EZI2C_WAKE_ENABLE_CONST) */

#endif /* (CY_SCB__EZI2C_PVT_SPI_M_H) */


/* [] END OF FILE */
