/*******************************************************************************
* File Name: SPI_M_SPI_UART_PVT.h
* Version 1.20
*
* Description:
*  This private file provides constants and parameter values for the
*  SCB Component in SPI and UART modes.
*  Please do not use this file or its content in your project.
*
* Note:
*
********************************************************************************
* Copyright 2013-2014, Cypress Semiconductor Corporation. All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_SCB_SPI_UART_PVT_SPI_M_H)
#define CY_SCB_SPI_UART_PVT_SPI_M_H

#include "SPI_M_SPI_UART.h"


/***************************************
*     Internal Global Vars
***************************************/

#if(SPI_M_INTERNAL_RX_SW_BUFFER_CONST)
    extern volatile uint32  SPI_M_rxBufferHead;
    extern volatile uint32  SPI_M_rxBufferTail;
    extern volatile uint8   SPI_M_rxBufferOverflow;
#endif /* (SPI_M_INTERNAL_RX_SW_BUFFER_CONST) */

#if(SPI_M_INTERNAL_TX_SW_BUFFER_CONST)
    extern volatile uint32  SPI_M_txBufferHead;
    extern volatile uint32  SPI_M_txBufferTail;
#endif /* (SPI_M_INTERNAL_TX_SW_BUFFER_CONST) */

#if(SPI_M_INTERNAL_RX_SW_BUFFER)
    extern volatile uint8 SPI_M_rxBufferInternal[SPI_M_RX_BUFFER_SIZE];
#endif /* (SPI_M_INTERNAL_RX_SW_BUFFER) */

#if(SPI_M_INTERNAL_TX_SW_BUFFER)
    extern volatile uint8 SPI_M_txBufferInternal[SPI_M_TX_BUFFER_SIZE];
#endif /* (SPI_M_INTERNAL_TX_SW_BUFFER) */


/***************************************
*     Private Function Prototypes
***************************************/

#if(SPI_M_SCB_MODE_SPI_CONST_CFG)
    void SPI_M_SpiInit(void);
#endif /* (SPI_M_SCB_MODE_SPI_CONST_CFG) */

#if(SPI_M_SPI_WAKE_ENABLE_CONST)
    void SPI_M_SpiSaveConfig(void);
    void SPI_M_SpiRestoreConfig(void);
#endif /* (SPI_M_SPI_WAKE_ENABLE_CONST) */

#if(SPI_M_SCB_MODE_UART_CONST_CFG)
    void SPI_M_UartInit(void);
#endif /* (SPI_M_SCB_MODE_UART_CONST_CFG) */

#if(SPI_M_UART_WAKE_ENABLE_CONST)
    void SPI_M_UartSaveConfig(void);
    void SPI_M_UartRestoreConfig(void);
#endif /* (SPI_M_UART_WAKE_ENABLE_CONST) */

/* Interrupt processing */
#define SPI_M_SpiUartEnableIntRx(intSourceMask)  SPI_M_SetRxInterruptMode(intSourceMask)
#define SPI_M_SpiUartEnableIntTx(intSourceMask)  SPI_M_SetTxInterruptMode(intSourceMask)
uint32  SPI_M_SpiUartDisableIntRx(void);
uint32  SPI_M_SpiUartDisableIntTx(void);

#endif /* (CY_SCB_SPI_UART_PVT_SPI_M_H) */


/* [] END OF FILE */
