/*******************************************************************************
* File Name: SPO.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SPO_H) /* Pins SPO_H */
#define CY_PINS_SPO_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SPO_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SPO_Write(uint8 value) ;
void    SPO_SetDriveMode(uint8 mode) ;
uint8   SPO_ReadDataReg(void) ;
uint8   SPO_Read(void) ;
uint8   SPO_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SPO_DRIVE_MODE_BITS        (3)
#define SPO_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SPO_DRIVE_MODE_BITS))

#define SPO_DM_ALG_HIZ         (0x00u)
#define SPO_DM_DIG_HIZ         (0x01u)
#define SPO_DM_RES_UP          (0x02u)
#define SPO_DM_RES_DWN         (0x03u)
#define SPO_DM_OD_LO           (0x04u)
#define SPO_DM_OD_HI           (0x05u)
#define SPO_DM_STRONG          (0x06u)
#define SPO_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define SPO_MASK               SPO__MASK
#define SPO_SHIFT              SPO__SHIFT
#define SPO_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SPO_PS                     (* (reg32 *) SPO__PS)
/* Port Configuration */
#define SPO_PC                     (* (reg32 *) SPO__PC)
/* Data Register */
#define SPO_DR                     (* (reg32 *) SPO__DR)
/* Input Buffer Disable Override */
#define SPO_INP_DIS                (* (reg32 *) SPO__PC2)


#if defined(SPO__INTSTAT)  /* Interrupt Registers */

    #define SPO_INTSTAT                (* (reg32 *) SPO__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define SPO_DRIVE_MODE_SHIFT       (0x00u)
#define SPO_DRIVE_MODE_MASK        (0x07u << SPO_DRIVE_MODE_SHIFT)


#endif /* End Pins SPO_H */


/* [] END OF FILE */
