/*******************************************************************************
* File Name: isrLFRX.c  
* Version 1.70
*
*  Description:
*   API for controlling the state of an interrupt.
*
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/


#include <cydevice_trm.h>
#include <CyLib.h>
#include <isrLFRX.h>

#if !defined(isrLFRX__REMOVED) /* Check for removal by optimization */

/*******************************************************************************
*  Place your includes, defines and code here 
********************************************************************************/
/* `#START isrLFRX_intc` */

/* `#END` */

extern cyisraddress CyRamVectors[CYINT_IRQ_BASE + CY_NUM_INTERRUPTS];

/* Declared in startup, used to set unused interrupts to. */
CY_ISR_PROTO(IntDefaultHandler);


/*******************************************************************************
* Function Name: isrLFRX_Start
********************************************************************************
*
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   None
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_Start(void)
{
    /* For all we know the interrupt is active. */
    isrLFRX_Disable();

    /* Set the ISR to point to the isrLFRX Interrupt. */
    isrLFRX_SetVector(&isrLFRX_Interrupt);

    /* Set the priority. */
    isrLFRX_SetPriority((uint8)isrLFRX_INTC_PRIOR_NUMBER);

    /* Enable it. */
    isrLFRX_Enable();
}


/*******************************************************************************
* Function Name: isrLFRX_StartEx
********************************************************************************
*
* Summary:
*  Set up the interrupt and enable it.
*
* Parameters:  
*   address: Address of the ISR to set in the interrupt vector table.
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_StartEx(cyisraddress address)
{
    /* For all we know the interrupt is active. */
    isrLFRX_Disable();

    /* Set the ISR to point to the isrLFRX Interrupt. */
    isrLFRX_SetVector(address);

    /* Set the priority. */
    isrLFRX_SetPriority((uint8)isrLFRX_INTC_PRIOR_NUMBER);

    /* Enable it. */
    isrLFRX_Enable();
}


/*******************************************************************************
* Function Name: isrLFRX_Stop
********************************************************************************
*
* Summary:
*   Disables and removes the interrupt.
*
* Parameters:  
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_Stop(void)
{
    /* Disable this interrupt. */
    isrLFRX_Disable();

    /* Set the ISR to point to the passive one. */
    isrLFRX_SetVector(&IntDefaultHandler);
}


/*******************************************************************************
* Function Name: isrLFRX_Interrupt
********************************************************************************
*
* Summary:
*   The default Interrupt Service Routine for isrLFRX.
*
*   Add custom code between the coments to keep the next version of this file
*   from over writting your code.
*
* Parameters:  
*   None
*
* Return:
*   None
*
*******************************************************************************/
CY_ISR(isrLFRX_Interrupt)
{
    /*  Place your Interrupt code here. */
    /* `#START isrLFRX_Interrupt` */

    /* `#END` */
}


/*******************************************************************************
* Function Name: isrLFRX_SetVector
********************************************************************************
*
* Summary:
*   Change the ISR vector for the Interrupt. Note calling isrLFRX_Start
*   will override any effect this method would have had. To set the vector 
*   before the component has been started use isrLFRX_StartEx instead.
*
* Parameters:
*   address: Address of the ISR to set in the interrupt vector table.
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_SetVector(cyisraddress address)
{
    CyRamVectors[CYINT_IRQ_BASE + isrLFRX__INTC_NUMBER] = address;
}


/*******************************************************************************
* Function Name: isrLFRX_GetVector
********************************************************************************
*
* Summary:
*   Gets the "address" of the current ISR vector for the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   Address of the ISR in the interrupt vector table.
*
*******************************************************************************/
cyisraddress isrLFRX_GetVector(void)
{
    return CyRamVectors[CYINT_IRQ_BASE + isrLFRX__INTC_NUMBER];
}


/*******************************************************************************
* Function Name: isrLFRX_SetPriority
********************************************************************************
*
* Summary:
*   Sets the Priority of the Interrupt. Note calling isrLFRX_Start
*   or isrLFRX_StartEx will override any effect this method would 
*   have had. This method should only be called after isrLFRX_Start or 
*   isrLFRX_StartEx has been called. To set the initial
*   priority for the component use the cydwr file in the tool.
*
* Parameters:
*   priority: Priority of the interrupt. 0 - 3, 0 being the highest.
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_SetPriority(uint8 priority)
{
	uint8 interruptState;
    uint32 priorityOffset = ((isrLFRX__INTC_NUMBER % 4u) * 8u) + 6u;
    
	interruptState = CyEnterCriticalSection();
    *isrLFRX_INTC_PRIOR = (*isrLFRX_INTC_PRIOR & (uint32)(~isrLFRX__INTC_PRIOR_MASK)) |
                                    ((uint32)priority << priorityOffset);
	CyExitCriticalSection(interruptState);
}


/*******************************************************************************
* Function Name: isrLFRX_GetPriority
********************************************************************************
*
* Summary:
*   Gets the Priority of the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   Priority of the interrupt. 0 - 3, 0 being the highest.
*
*******************************************************************************/
uint8 isrLFRX_GetPriority(void)
{
    uint32 priority;
	uint32 priorityOffset = ((isrLFRX__INTC_NUMBER % 4u) * 8u) + 6u;

    priority = (*isrLFRX_INTC_PRIOR & isrLFRX__INTC_PRIOR_MASK) >> priorityOffset;

    return (uint8)priority;
}


/*******************************************************************************
* Function Name: isrLFRX_Enable
********************************************************************************
*
* Summary:
*   Enables the interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_Enable(void)
{
    /* Enable the general interrupt. */
    *isrLFRX_INTC_SET_EN = isrLFRX__INTC_MASK;
}


/*******************************************************************************
* Function Name: isrLFRX_GetState
********************************************************************************
*
* Summary:
*   Gets the state (enabled, disabled) of the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   1 if enabled, 0 if disabled.
*
*******************************************************************************/
uint8 isrLFRX_GetState(void)
{
    /* Get the state of the general interrupt. */
    return ((*isrLFRX_INTC_SET_EN & (uint32)isrLFRX__INTC_MASK) != 0u) ? 1u:0u;
}


/*******************************************************************************
* Function Name: isrLFRX_Disable
********************************************************************************
*
* Summary:
*   Disables the Interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_Disable(void)
{
    /* Disable the general interrupt. */
    *isrLFRX_INTC_CLR_EN = isrLFRX__INTC_MASK;
}


/*******************************************************************************
* Function Name: isrLFRX_SetPending
********************************************************************************
*
* Summary:
*   Causes the Interrupt to enter the pending state, a software method of
*   generating the interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_SetPending(void)
{
    *isrLFRX_INTC_SET_PD = isrLFRX__INTC_MASK;
}


/*******************************************************************************
* Function Name: isrLFRX_ClearPending
********************************************************************************
*
* Summary:
*   Clears a pending interrupt.
*
* Parameters:
*   None
*
* Return:
*   None
*
*******************************************************************************/
void isrLFRX_ClearPending(void)
{
    *isrLFRX_INTC_CLR_PD = isrLFRX__INTC_MASK;
}

#endif /* End check for removal by optimization */


/* [] END OF FILE */
