/*******************************************************************************
* File Name: isrLFRX.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrLFRX_H)
#define CY_ISR_isrLFRX_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrLFRX_Start(void);
void isrLFRX_StartEx(cyisraddress address);
void isrLFRX_Stop(void);

CY_ISR_PROTO(isrLFRX_Interrupt);

void isrLFRX_SetVector(cyisraddress address);
cyisraddress isrLFRX_GetVector(void);

void isrLFRX_SetPriority(uint8 priority);
uint8 isrLFRX_GetPriority(void);

void isrLFRX_Enable(void);
uint8 isrLFRX_GetState(void);
void isrLFRX_Disable(void);

void isrLFRX_SetPending(void);
void isrLFRX_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrLFRX ISR. */
#define isrLFRX_INTC_VECTOR            ((reg32 *) isrLFRX__INTC_VECT)

/* Address of the isrLFRX ISR priority. */
#define isrLFRX_INTC_PRIOR             ((reg32 *) isrLFRX__INTC_PRIOR_REG)

/* Priority of the isrLFRX interrupt. */
#define isrLFRX_INTC_PRIOR_NUMBER      isrLFRX__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrLFRX interrupt. */
#define isrLFRX_INTC_SET_EN            ((reg32 *) isrLFRX__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrLFRX interrupt. */
#define isrLFRX_INTC_CLR_EN            ((reg32 *) isrLFRX__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrLFRX interrupt state to pending. */
#define isrLFRX_INTC_SET_PD            ((reg32 *) isrLFRX__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrLFRX interrupt. */
#define isrLFRX_INTC_CLR_PD            ((reg32 *) isrLFRX__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrLFRX_H */


/* [] END OF FILE */
