/*******************************************************************************
* File Name: isr_LowVoltage.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isr_LowVoltage_H)
#define CY_ISR_isr_LowVoltage_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isr_LowVoltage_Start(void);
void isr_LowVoltage_StartEx(cyisraddress address);
void isr_LowVoltage_Stop(void);

CY_ISR_PROTO(isr_LowVoltage_Interrupt);

void isr_LowVoltage_SetVector(cyisraddress address);
cyisraddress isr_LowVoltage_GetVector(void);

void isr_LowVoltage_SetPriority(uint8 priority);
uint8 isr_LowVoltage_GetPriority(void);

void isr_LowVoltage_Enable(void);
uint8 isr_LowVoltage_GetState(void);
void isr_LowVoltage_Disable(void);

void isr_LowVoltage_SetPending(void);
void isr_LowVoltage_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr_LowVoltage ISR. */
#define isr_LowVoltage_INTC_VECTOR            ((reg32 *) isr_LowVoltage__INTC_VECT)

/* Address of the isr_LowVoltage ISR priority. */
#define isr_LowVoltage_INTC_PRIOR             ((reg32 *) isr_LowVoltage__INTC_PRIOR_REG)

/* Priority of the isr_LowVoltage interrupt. */
#define isr_LowVoltage_INTC_PRIOR_NUMBER      isr_LowVoltage__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr_LowVoltage interrupt. */
#define isr_LowVoltage_INTC_SET_EN            ((reg32 *) isr_LowVoltage__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr_LowVoltage interrupt. */
#define isr_LowVoltage_INTC_CLR_EN            ((reg32 *) isr_LowVoltage__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr_LowVoltage interrupt state to pending. */
#define isr_LowVoltage_INTC_SET_PD            ((reg32 *) isr_LowVoltage__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr_LowVoltage interrupt. */
#define isr_LowVoltage_INTC_CLR_PD            ((reg32 *) isr_LowVoltage__INTC_CLR_PD_REG)



#endif /* CY_ISR_isr_LowVoltage_H */


/* [] END OF FILE */
