#ifndef _RF_H
#define _RF_H
    
#include <cytypes.h>    
    
typedef struct{
    uint16 ID;
    uint8  RSSI;
    uint8  TAGTYPE;
    uint8  TRIPLEVEL;
} detecttype;
    
#define RFBUFSIZE 15
#define RF_IDLE 0
#define RF_RECEIVING 1
#define RF_MAXPACKETSIZE 16
#define RF_TIMEOUT 5 
#define cmdPollAll 0x01
#define cmdPollByLevel 0x02
#define cmdTestTag     0x03
#define cmdCheckSensor 0x04
#define cmdSensorData  0x02
#define cmdAck 0x99

    
extern volatile uint32 RF_Timer;    
extern volatile uint8 RfChannel;
extern volatile uint8 RF_Mode;
extern volatile uint8 RF_DatainBuf;
extern void RF_Init(void);
extern void RF_Reset(void);
extern volatile uint8 RF_DataBytes;
extern uint8 RF_Buf[];    
extern detecttype DetectList[];
   
#endif

/* [] END OF FILE */
