/* ========================================
 *
 * Place Timer with 1MHz clock and divide by 1000 for 1ms
 * Name Timer msTIMER
 * Add isr_msTIME
 * ========================================
*/

#include <project.h>
#include "common.h"
#include "timer.h"
#include "rf.h"

volatile ticktimertype Timer[NUMTIMERS];
volatile uint32 msTick;

CY_ISR(msTICK_INT){
    uint8 i;
    
    msTimer_ReadStatusRegister();
    msTick++;
    
    for(i = 0; i < NUMTIMERS; i++){
        if(Timer[i].Period == msTick) Timer[i].Timeout = 1;
    }
    
    if((RF_Timer == msTick)&&(RF_Mode == RF_RECEIVING)){
        RF_DatainBuf = true;
        RF_UART_Stop();
    }
}

void StartTimer(volatile uint8 timerid, volatile uint32 dtime){
    Timer[timerid].Period = msTick + dtime;
    Timer[timerid].Timeout = 0;
} 

void TIMER_Init(void){
    msTimer_Start();
    isr_msTime_StartEx(msTICK_INT);
}


/* [] END OF FILE */
